SbVec3ub(3)

NAME
SbVec3ub

SYNOPSIS

#include <Inventor/SbVec3ub.h>

  Public Member Functions
SbVec3ub (const uint8_t v[3])
SbVec3ub (uint8_t x, uint8_t y, uint8_t z)
SbVec3ub (const SbVec3b &v)
SbVec3ub (const SbVec3us &v)
SbVec3ub (const SbVec3ui32 &v)
SbVec3ub & setValue (const uint8_t v[3])
SbVec3ub & setValue (uint8_t x, uint8_t y, uint8_t z)
SbVec3ub & setValue (const SbVec3b &v)
SbVec3ub & setValue (const SbVec3us &v)
SbVec3ub & setValue (const SbVec3ui32 &v)
const uint8_t * getValue (void) const
void getValue (uint8_t &x, uint8_t &y, uint8_t &z) const
uint8_t & operator[] (int i)
const uint8_t & operator[] (int i) const
int32_t dot (const SbVec3ub &v) const
void negate (void)
SbVec3ub & operator*= (int d)
SbVec3ub & operator*= (double d)
SbVec3ub & operator/= (int d)
SbVec3ub & operator/= (double d)
SbVec3ub & operator+= (const SbVec3ub &v)
SbVec3ub & operator-= (const SbVec3ub &v)
SbVec3ub operator- (void) const

  Protected Attributes
uint8_t vec [3]

Detailed Description

Since
    Coin 2.5

Author

Generated automatically by Doxygen for Coin from the source code.